// A class that will generate the HTML to describe a button
// that can be included within a web form.
public class WebButton extends WebComponent {

    // The label that should be displayed in the button
    public String label;
    
    // Create a new button with the specified label
    public WebButton( String label ) {
        this.label = label;
    }
    
    // Change the label that will be displayed in the button
    public void setText( String label ) {
        this.label = label;
    }

    // Generate the HTML needed to describe the desired button
    public String toString() {
        return "<input type=\"submit\" value = \"" + label + "\">";
    }
}