// A class that will generate the HTML to describe a piece of text
// displayed as a label or "header" in an HTML document.
public class WebLabel extends WebComponent {

    // The text to be displayed
    private String label;
    
    // Create a label to display the text passed as a parameter
    public WebLabel( String label ) {
        this.label = label;    
    }
    
    // Change the text displayed by this web component
    public void setText( String label ) {
        this.label = label;
    }
    
    // Return the HTML that will display the text as a header
    public String toString() {
        return "<h3>" + label + "</h3>";   
    }
}